/***************************************************************************

  PMagProximity.h

  Author: Andreas Suter
  e-mail: andreas.suter@psi.ch

***************************************************************************/

/***************************************************************************
 *   Copyright (C) 2011-2024 by Andreas Suter                              *
 *   andreas.suter@psi.ch                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _PMAGPROXIMITY_H_
#define _PMAGPROXIMITY_H_

#include <vector>

#include <TString.h>

//-------------------------------------------------------------
/**
 * <p> typedef to make to code more readable.
 */
typedef std::vector<TString> PStringVector;

//-------------------------------------------------------------
/**
 * <p> typedef to make to code more readable.
 */
typedef std::vector<Double_t> PDoubleVector;

//-------------------------------------------------------------
/**
 * <p>
 */
struct PMPRgeData {
  Double_t energy;
  PDoubleVector stoppingDistance;
  PDoubleVector stoppingAmplitude;
};

//-------------------------------------------------------------
/**
 * <p>
 */
typedef std::vector<PMPRgeData> PMPRgeDataList;

#endif // _PMAGPROXIMITY_H_
